petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatCreateSubMatrixOption

Indicates if matrices obtained from a call to MatCreateSubMatrices() include the matrix values. Currently it is only used by MatGetSeqNonzerostructure().

### Synopsis

    typedef enum {MAT_DO_NOT_GET_VALUES,MAT_GET_VALUES} MatCreateSubMatrixOption;

### See Also

MatGetSeqNonzerostructure()

### Level

beginner

### Location

src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages